Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1432901 - Review Request: restic - restic backup program
Summary: Review Request: restic - restic backup program
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NotReady
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2017-03-16 11:09 UTC by Philipp Baum
Modified: 2018-05-14 18:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-14 18:33:49 UTC


Attachments (Terms of Use)

Description Philipp Baum 2017-03-16 11:09:21 UTC
Spec URL: https://phib.io/fedora/restic/restic.spec
SRPM URL: https://phib.io/fedora/restic/restic-0.5.0-2.fc25.src.rpm
Description: restic is a backup program that is fast, efficient and secure.
Fedora Account System Username: philphil

Hello,
this is my first package so i need a sponsor.

restic is a backup software written in go, so its only one single executable. Unfortunately it didn't work with %autosetup so i chose to unpack it manually.

I hope i made everything correct, i uploaded it to copr and tried everything in a fresh Fedora 25 VM and it installs and runs cleanly.

I also talked to the creator of restic and he is happy that i want to bring it to Fedora.

Thanks,
phil

Copr: https://copr.fedorainfracloud.org/coprs/philphil/restic/
koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=18403108
restic github: https://github.com/restic/restic

Comment 1 Till Maas 2017-03-16 21:30:40 UTC
The package needs to be built from source. Copying just the upstream binary is not enough:

https://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries

Comment 2 Daniel 2017-12-19 21:39:51 UTC
Did you not want to work on this, Philipp?

Comment 3 Till Maas 2018-05-14 18:33:49 UTC
Philip, I close this review request for now. If you find time to work on this again, please file a new request. Thank you!


Note You need to log in before you can comment on or make changes to this bug.